import cv2
import sys
import easyocr

capture = cv2.VideoCapture(0)
last_txt = ""
reader = easyocr.Reader(['ja', 'en'], gpu=False)
while True:
    ret, frame = capture.read()
    orgHeight, orgWidth = frame.shape[:2]
    size = (int(orgWidth/2), int(orgHeight/2))
    glay = cv2.cvtColor(frame, cv2.COLOR_BGR2GRAY)
    image = cv2.resize(glay, size)

    result = reader.readtext(image, detail = 0)
    print(result)

    cv2.imshow("Capture", image)
       
    if cv2.waitKey(33) >= 0:
        break

cv2.destroyAllWindows()
