# -*- coding: utf-8 -*-
##------------------------------------------
##   My Library process with OpenCV
##
##               2021.12.19 Masahiro Izutsu
##------------------------------------------
## mylib_pros.py

import cv2

# アスペクト比を固定して画像をリサイズ
def frame_resize(image, maxsize):
    if maxsize > 300:
        img_h, img_w = image.shape[:2]
        if (img_w > img_h):
            if (img_w > maxsize):
                height = round(img_h * (maxsize / img_w))
                image = cv2.resize(image, dsize = (maxsize, height))
        else:
            if (img_h > maxsize):
                width =  round(img_w * (maxsize / img_h))
                image = cv2.resize(image, dsize = (width, maxsize))
    return image

